免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
最近访问板块 发新帖
查看: 3781 | 回复: 2

ubuntu通过deb包安装了低版本的gcc, 为什么无法编译文件 [复制链接]

论坛徽章:
1
2015元宵节徽章
日期:2015-03-06 15:53:22
发表于 2015-04-18 22:21 |显示全部楼层
如题,参考了网上所说的ubuntu降低gcc版本的deb包dpkg的安装方法,成功在update-altnertive --config gcc上完成新安装的gcc链接。gcc -v也能看到新安装的gcc版本,为什么就是不能编译文件。提示如下:

root@ankerli-X201E:~# gcc -g -E hello.c -o hello
In file included from /usr/include/stdio.h:27,
                 from hello.c:1:
/usr/include/features.h:374:25: error: sys/cdefs.h: 没有那个文件或目录
/usr/include/features.h:398:23: error: gnu/stubs.h: 没有那个文件或目录
In file included from hello.c:1:
/usr/include/stdio.h:35:25: error: bits/types.h: 没有那个文件或目录
/usr/include/stdio.h:164:28: error: bits/stdio_lim.h: 没有那个文件或目录
/usr/include/stdio.h:853:30: error: bits/sys_errlist.h: 没有那个文件或目录

请问是什么原因?为什么网上搜到的教程都没有提到这个问题?

论坛徽章:
2
摩羯座
日期:2013-10-10 14:29:04天蝎座
日期:2014-01-03 09:14:49
发表于 2015-04-20 09:19 |显示全部楼层
用apt-get install gcc-xxx 安装显式指定的gcc版本不成?

论坛徽章:
208
巨蟹座
日期:2013-09-02 09:16:36卯兔
日期:2013-09-02 20:53:59酉鸡
日期:2013-09-05 21:21:45戌狗
日期:2013-10-15 20:51:17寅虎
日期:2013-10-18 21:13:16白羊座
日期:2013-10-23 21:15:19午马
日期:2013-10-25 21:22:48技术图书徽章
日期:2013-11-01 09:11:32双鱼座
日期:2013-11-01 20:29:44丑牛
日期:2013-11-01 20:40:00卯兔
日期:2013-11-11 09:21:32酉鸡
日期:2013-12-04 19:56:39
发表于 2015-04-20 09:26 |显示全部楼层
貌似开发包没装吧
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

DTCC2020中国数据库技术大会

【架构革新 高效可控】2020年12月21日-23日第十一届中国数据库技术大会将在北京隆重召开。

大会设置2大主会场,20+技术专场,将邀请超百位行业专家,重点围绕数据架构、AI与大数据、传统企业数据库实践和国产开源数据库等内容展开分享和探讨,为广大数据领域从业人士提供一场年度盛会和交流平台。

http://dtcc.it168.com


大会官网>>
  

北京盛拓优讯信息技术有限公司. 版权所有 16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122
中国互联网协会会员  联系我们:huangweiwei@it168.com
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP